<?php

namespace App\Providers;

use App\Services\Payment\Interfaces\PaymentInterface;
use App\Services\Payment\Payable;
use Illuminate\Support\ServiceProvider;

class PaymentServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        $this->app->bind(PaymentInterface::class, Payable::class);
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void {}
}
